Skip to main content

Query for customers

GET 

/api/v3/customer

Notes:

  • The superuser_id field is the primary contact (user) for this customer

Available query parameter values for filtering:

  • customer_id
  • parent_customer_id
  • bill_state
  • ship_state
  • bill_country
  • ship_country
  • external_key
  • token
  • company
  • superuser_id
  • superuser_email
  • custom_1
  • custom_2
  • custom_3
  • custom_4
  • custom_5
  • custom_6
  • custom_7
  • custom_8
  • custom_9
  • custom_10
  • custom_11
  • custom_12
  • custom_13
  • custom_14
  • custom_15
  • custom_16
  • custom_17
  • custom_18
  • custom_19
  • custom_20
  • custom_21
  • custom_22
  • custom_23
  • custom_24
  • custom_25
  • custom_26
  • custom_27
  • custom_28
  • custom_29
  • custom_30
  • custom_31
  • custom_32
  • custom_33
  • custom_34
  • custom_35
  • custom_36
  • custom_37
  • custom_38
  • custom_39
  • custom_40
  • custom_41
  • custom_42
  • custom_43
  • custom_44
  • custom_45
  • custom_46
  • custom_47
  • custom_48
  • custom_49
  • custom_50
  • write_datetime - date/time created
  • mod_datetime - date/time last modified

Valid values for customer_status_state:

  • a (for active customers)
  • i (for customers who have manually been marked "inactive" or who have had no recent activity)

Valid values for customer_status_str:

  • active-current
  • active-overdue
  • inactive-manual
  • inactive-activity

Request

Responses

Object was fetched successfully